#
# spec file for package roarpld
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define pkg_name rpld
Name:           roarpld
Version:        0.1.9
Release:        lp150.1.9
Summary:        RoarAudio PlayList Daemon (rpld)
License:        GPL-3.0+ and LGPL-3.0+
Group:          System/Sound Daemons
Url:            http://roaraudio.keep-cool.org/
Source:         %{pkg_name}-%{version}.tar.gz
Source1:        %{name}.conf
Source2:        %{name}.service
BuildRequires:  perl(Audio::RPLD)
BuildRequires:  pkgconfig(libroar)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  roaraudio
Requires:       perl(Audio::RPLD)
Requires:  		roaraudio
Recommends:     vclt-tools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  systemd
%{?systemd_requires}

%description
The RoarAudio Playlist Daemon is a player backend that can handle playlist 
for the player, a queue of currently played files and do the actual 
playback. As it is based on RoarAudio's DSTR it can handle internet 
streams, encryption, compression, etc as well as normal files. 
...
All of the Audio processing is done within the connected RoarAudio sound
server. So the support for containers, codecs and audio processing stuff
depends on the server (codec-helper).

%package        codechelper-gst
Summary:        RoarAudio helper script for GStreamer codecs
Group:          Productivity/Multimedia/Sound/Utilities
BuildArch:      noarch

%description 	codechelper-gst
RoarAudio PlayList Daemon (rpld).
...
The codec-helper is a normaly a little script which implements codecs not
supported by the server.

%package 		devel
Summary:        Development Environment for the RoarAudio Sound System
Group:          Development/Libraries/C and C++
Requires:       pkgconfig(libroar)
BuildArch:      noarch

%description 	devel
RoarAudio PlayList Daemon (rpld).
...
This package contains, header files and libraries needed to develop
application that use rpld.

%prep
%setup -q -n %{pkg_name}-%{version}

# Rename executable file
sed -i '/TARGET/s/rpld/roarpld/' Makefile

# Use bash for scripts with bashisms and set executable file
sed -i '/RPLD/s/rpld/roarpld/;s/roarplaylistd/roard/;s|/bin/sh|/bin/bash|' \
tools/rpld-storemgr

%build
./configure --prefix /usr

make %{?_smp_mflags} OPTI_O="%{optflags}"

%install
%make_install

mv %{buildroot}%{_mandir}/man1/{rpld.1,%{name}.1}
install -Dm 755 codec-helper/rpld-codec-helper-gstreamer %{buildroot}/%{_bindir}/rpld-codec-helper
install -Dm 644 codec-helper/rpld-codec-helper.1 %buildroot/%{_mandir}/man1/rpld-codec-helper.1

# This service depends on the package roaraudio
install -d %{buildroot}/%{_sbindir}
install -Dm 644 %{S:1} %{buildroot}%{_sysconfdir}/roaraudio/%{name}.conf
install -Dm 644 %{S:2} %{buildroot}%{_unitdir}/%{name}.service
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}

%pre
%service_add_pre %{name}.service

%post
%service_add_post %{name}.service

%preun
%service_del_preun %{name}.service

%postun
%service_del_postun %{name}.service

%files
%defattr(-,root,root)
%doc COPYING.gplv3 ChangeLog TODO
%defattr(-,root,root)
%{_bindir}/%{name}
%{_bindir}/rpld-ctl
%{_bindir}/rpld-import
%{_bindir}/rpld-listplaylists
%{_bindir}/rpld-listq
%{_bindir}/rpld-next
%{_bindir}/rpld-queueple
%{_bindir}/rpld-setpointer
%{_bindir}/rpld-showplaying
%{_bindir}/rpld-storemgr
%{_mandir}/man?/rpld-*.1*
%{_mandir}/man?/%{name}.1*
%exclude %{_mandir}/man?/rpld-codec-helper.1*
%{_sbindir}/rc%{name}
%{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/roaraudio/%{name}.conf

%files codechelper-gst
%defattr(-,root,root)
%{_bindir}/rpld-codec-helper
%{_mandir}/man?/rpld-codec-helper.1*

%files devel
%defattr(-,root,root)
%{_includedir}/rpldnotify.h
%{_includedir}/rpldplugin.h

%changelog
* Sat May 30 2015 avvissu@yandex.ru
- Change roarpld.service: create roard directory after installation
  roaraudio (see: roaraudio.spec)
* Tue May  5 2015 avvissu@yandex.ru
- Use OPTI_O instead of CFLAGS
* Thu Apr 30 2015 avvissu@yandex.ru
- Initial version
